%define upstream_name    Text-Transliterator
%define upstream_version 1.02

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:    Compile a transliterator from Unicode tables, to remove accents from text
License:    GPLv1+ or Artistic
Group:      Development/Perl
Url:        http://metacpan.org/release/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/Text/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(Test::More)
BuildRequires: perl(Unicode::Normalize)
BuildRequires: perl(Unicode::UCD)
BuildRequires: perl(Module::Build::Compat)
BuildArch: noarch

%description
This package is a simple wrapper around Perl's transliteration operator
'tr/../../..'. Starting either from two strings of characters, or from a
map of characters, it will compile a function that applies the
transliteration to any list of strings.

This does very little work, and therefore would barely merit a module on
its own; it was written mainly for serving as a base package for
Text::Transliterator::Unaccent. However, in some situations it may be
useful in its own right, since Perl has no construct similar to 'qr/.../'
for "compiling" a transliteration. As a matter of fact, the 'tr/../../'
documentation says "if you want to use variables, you must use an eval()"
... which is what the present module does, albeit in a somewhat more
controlled way.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%make_build test

%install
%make_install

%files
%doc Changes META.json META.yml README
%{_mandir}/man3/*
%perl_vendorlib/*




%changelog
* Wed Jul 12 2017 bb2 <bb2> - 1.20.0-2pclos2017
- rebuild against updates

